types.h File Reference

typedefs for Xapian More...

## Namespaces

namespace | Xapian
| The Xapian namespace contains public interfaces for the Xapian library.

## Typedefs

typedef unsigned XAPIAN_DOCID_BASE_TYPE | Xapian::doccount
| A count of documents.
typedef XAPIAN_DOCID_BASE_TYPE | Xapian::doccount_diff
| A signed difference between two counts of documents.
typedef unsigned XAPIAN_DOCID_BASE_TYPE | Xapian::docid
| A unique identifier for a document.
typedef double | Xapian::doclength
| A normalised document length.
typedef unsigned XAPIAN_TERMCOUNT_BASE_TYPE | Xapian::termcount
| A counts of terms.
typedef XAPIAN_TERMCOUNT_BASE_TYPE | Xapian::termcount_diff
| A signed difference between two counts of terms.
typedef unsigned XAPIAN_TERMPOS_BASE_TYPE | Xapian::termpos
| A term position within a document or query.
typedef XAPIAN_TERMPOS_BASE_TYPE | Xapian::termpos_diff
| A signed difference between two term positions.
typedef unsigned | Xapian::valueno
| The number for a value slot in a document.
typedef int | Xapian::valueno_diff
| A signed difference between two value slot numbers.
typedef XAPIAN_REVISION_TYPE | Xapian::rev
| Revision number of a database.
typedef XAPIAN_TOTALLENGTH_TYPE | Xapian::totallength
| The total length of all documents in a database.

## Variables

const valueno | Xapian::BAD_VALUENO = 0xffffffff
| Reserved value to indicate "no valueno".

## Detailed Description

typedefs for Xapian